<?xml version="1.0" encoding="UTF-8"?>
<flow xmlns="http://www.springframework.org/schema/webflow"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.springframework.org/schema/webflow
      http://www.springframework.org/schema/webflow/spring-webflow-2.0.xsd">

  <secured attributes="ROLE_ADMIN"/>

  <var name="account" class="org.unitedfront2.domain.Account"/>

  <view-state id="mailAddrForm" view="account.PasswordReissueByAdminForm" model="account">
    <binder>
      <binding property="mailAddr"/>
    </binder>
    <on-render>
      <set name="flashScope.validator" value="accountValidator"/>
    </on-render>
    <transition on="submit" to="reissue"/>
  </view-state>

  <action-state id="reissue">
    <evaluate expression="accountPasswordReissueAction.reissuePasswordByAdmin"/>
    <transition on="success" to="finish"/>
    <transition on="error" to="mailAddrForm"/>
  </action-state>

  <end-state id="finish" view="account.PasswordReissueByAdminSuccess"/>

</flow>
